%define _disable_source_fetch 0
%define debug_package %{nil}

Name:           kf6-kconfig
Version:        6.24.0
Release:        1%{?dist}
Summary:        KDE Frameworks 6 - Configuration system

License:        LGPL-2.0-or-later AND LGPL-2.1-or-later AND MIT
URL:            https://invent.kde.org/frameworks/kconfig
Source0:        https://download.kde.org/stable/frameworks/6.24/kconfig-%{version}.tar.xz

BuildRequires:  extra-cmake-modules
BuildRequires:  kf6-rpm-macros
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-qtdeclarative-devel
BuildRequires:  gcc-c++

%description
KConfig provides an advanced configuration system. It is made of two parts:
KConfigCore and KConfigGui.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt6-qtbase-devel

%description    devel
Development files for %{name}.

%prep
%autosetup -n kconfig-%{version} -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang kconfig6_qt --with-qt --all-name || :

%files -f kconfig6_qt.lang
%license LICENSES/*
%{_bindir}/kreadconfig6
%{_bindir}/kwriteconfig6
%{_libexecdir}/kf6/kconf_update
%{_libdir}/libKF6ConfigCore.so.*
%{_libdir}/libKF6ConfigGui.so.*
%{_libdir}/libKF6ConfigQml.so.*
%{_libdir}/qt6/qml/org/kde/config/
%{_datadir}/qlogging-categories6/kconfig.categories
%{_datadir}/qlogging-categories6/kconfig.renamecategories

%files devel
%{_includedir}/KF6/KConfig/
%{_includedir}/KF6/KConfigCore/
%{_includedir}/KF6/KConfigGui/
%{_includedir}/KF6/KConfigQml/
%{_libexecdir}/kf6/kconfig_compiler_kf6
%{_libdir}/libKF6ConfigCore.so
%{_libdir}/libKF6ConfigGui.so
%{_libdir}/libKF6ConfigQml.so
%{_libdir}/cmake/KF6Config/

%changelog
* Tue Mar 24 2026 Anders da Silva Rytter Hansen <andersrh@users.noreply.github.com> - 6.24.0-1
- Initial release of kf6-kconfig 6.24.0
